Glide v4 Integration for Library

Started from the issue on my image picker library which stated that we should use the new version of Glide, I'm starting to explore this new Glide v4 library and integrate it to the library

If I'm read the semver correctly, this version is bringing breaking changes to Glide. One of this changes is that we have to define a GlideModule in our app or library.

This can be done by extending AppGlideModule or LibraryGlideModule and annotate it with @GlideModule annotation like this:

@com.bumptech.glide.annotation.GlideModule
public class ImagePickerGlideModule extends LibraryGlideModule {  
}

Little did I know, we have to follow that library and app configuration if we want to avoid strange cases like this one
In fact, there is already an official documentation about this (but I couldn't find it the first time)

Well, I hope you don't repeat the same mistake. Ciao 👋